Skip to main content
POST
/
transcribe
/
workspace
/
{id}
/
transcriptions
Upload transcriptions to a workspace
curl --request POST \
  --url https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form language=English \
  --form is_speaker_diarization=false \
  --form 'prompt=Nipe maneno yaliyokwenye hii audio' \
  --form files.items='@example-file'
{
  "success": true,
  "message": "Transcription uploaded and saved successfully",
  "data": [
    {
      "id": 1,
      "fileName": "meeting_recording.mp3",
      "fileUrl": "https://storage.domain.com/files/meeting_recording.mp3",
      "fileType": "audio/mpeg",
      "duration": 320,
      "transcript": {
        "filename": "testing audio.mp3",
        "transcript": "[Environmental Sounds]"
      },
      "status": "COMPLETED",
      "createdAt": "2026-02-23T08:00:00.000Z",
      "updatedAt": "2026-02-23T08:10:00.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required

Body

multipart/form-data
files
file[]
required

Files to be uploaded

language
enum<string>
required
Available options:
English,
Swahili,
Luo,
Meru,
Kamba,
Kikuyu,
Hausa,
Igbo,
Yoruba,
Pidgin,
Zulu,
Tswana,
Afrikaans,
Xhosa,
Nyankole,
Ganda,
Lugbara
Example:

"English"

is_speaker_diarization
boolean
required
Example:

false

prompt
string
Example:

"Nipe maneno yaliyokwenye hii audio"

Response

Transcription uploaded successfully

success
boolean
required
Example:

true

message
string
required
Example:

"Transcription uploaded and saved successfully"

data
object[]
required